#ifndef FONTFAMILY_HPP_INCLUDED
#define FONTFAMILY_HPP_INCLUDED

#include "Rasterizer2D.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class FontFamily : public Rasterizer2D
    {
        public:
            FontFamily();
            FontFamily(const void* Obj);
            FontFamily(const FontFamily& F);
            static Class GetClass();

            std::vector<std::int32_t> GetGlyphHeightOffsets() const;
            std::vector<std::int32_t> GetGlyphHeights() const;
            std::vector<std::int32_t> GetGlyphWidthOffsets() const;
            std::vector<std::int32_t> GetGlyphWidths() const;
            std::vector<std::vector<std::int8_t>> GetGlyphs() const;
            std::int32_t GetHeightSpacing() const;

    };
}

#endif // FONTFAMILY_HPP_INCLUDED
